Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 67 - Change request: add a "BuildRequires" field
Summary: Change request: add a "BuildRequires" field
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-14 16:15 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-18 15:23:40 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1998-11-14 16:15:53 UTC
I beleive it would be very helpful if RPM would allow
specifying "BuildRequires" field in a SPEC file that would
describe the programs necessary to compile this package.
That would give an easy way to specify that a package have
to be built using some specific version of gcc or some
specific version of some *-devel package.

Comment 1 Jeff Johnson 1999-02-18 15:23:59 UTC
BuildPrereq is in the process of being added to rpm-2.9x.


Note You need to log in before you can comment on or make changes to this bug.